List Gift Cards
curl --request GET \
--url https://api.launchmystore.io/api/v1/gift_cards.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.launchmystore.io/api/v1/gift_cards.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.launchmystore.io/api/v1/gift_cards.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"gift_cards": [
{
"id": "gc_abc123",
"code": "GIFT-ABCD-1234-EFGH",
"initial_value": 5000,
"balance": 3500,
"currency": "USD",
"status": "enabled",
"customer_id": "cust_xyz789",
"note": "Birthday gift",
"expires_at": "2025-01-15T00:00:00Z",
"created_at": "2024-01-15T10:30:00Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 45
}
}
}
Gift Cards
List Gift Cards
Get all gift cards
GET
/
api
/
v1
/
gift_cards.json
List Gift Cards
Query Parameters
Filter by status:
enabled, disabledPage number
Items per page
Response
{
"success": true,
"data": {
"gift_cards": [
{
"id": "gc_abc123",
"code": "GIFT-ABCD-1234-EFGH",
"initial_value": 5000,
"balance": 3500,
"currency": "USD",
"status": "enabled",
"customer_id": "cust_xyz789",
"note": "Birthday gift",
"expires_at": "2025-01-15T00:00:00Z",
"created_at": "2024-01-15T10:30:00Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 45
}
}
}
⌘I